Bug 131472 - ssl section / rhn-ssl-tool logic mismatch
ssl section / rhn-ssl-tool logic mismatch
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
360
All Linux
high Severity high
: ---
: ---
Assigned To: Robin Norwood
Max Spevack
:
Depends On:
Blocks: rhn360sat
  Show dependency treegraph
 
Reported: 2004-09-01 13:12 EDT by Todd Warner
Modified: 2007-08-06 11:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-22 12:48:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd Warner 2004-09-01 13:12:52 EDT
The behavior of rhn-ssl-tool's hostname/directory-generation logic:
command: rhn-ssl-tool --set-hostname chimchim.devel.redhat.com
directory generated: ~/ssl-build/chimchim.devel/

command: rhn-ssl-tool --set-hostname chimchim.redhat.com
directory generated: ~/ssl-build/chimchim/

command: rhn-ssl-tool --set-hostname chimchim.not_FQDN
directory generated: ~/ssl-build/chimchim.not_FQDN/

Case #3 shows where the tool can't "intelligently" determine the
machine name so it punts.
Comment 1 Todd Warner 2004-09-01 13:14:38 EDT
Oh... forgot to add... the website does this:

command: rhn-ssl-tool --set-hostname chimchim.devel.redhat.com
directory generated: ~/ssl-build/chimchim.devel/

command: rhn-ssl-tool --set-hostname chimchim.redhat.com
directory generated: ~/ssl-build/chimchim.redhat/

command: rhn-ssl-tool --set-hostname chimchim.not_FQDN
directory generated: ~/ssl-build/chimchim.not_FQDN/

I.e., it just picks the first two period deliminated thingies... bad!
Comment 2 Todd Warner 2004-09-01 13:16:14 EDT
De-privatized the bug... no reason to hide it.
Comment 3 Robin Norwood 2004-09-27 10:17:55 EDT
Fixed in CVS.

Test plan: Run a satellite install with a valid 3-part hostname
'foo.bar.com' - The SSL server key generated should be for 'foo', not
'foo.bar'.
Comment 4 Todd Warner 2004-10-21 12:38:10 EDT
QA push. {ON_DEV,QA_READY} --> ON_QA
Comment 5 Max Spevack 2004-11-29 09:54:07 EST
Verified -- on test07.rhndev.redhat.com, the ssl-build directly
correctly created the certs, and placed them in ssl-build/test07.rhndev
Comment 6 Todd Warner 2005-03-22 12:48:57 EST
Mass move from PROD_READY to CLOSED:CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.